Header unset ETag
FileETag None

<ifModule mod_gzip.c>
	mod_gzip_on Yes
	mod_gzip_dechunk Yes
	mod_gzip_item_include file \.(html?|txt|css|js|php|pl)$
	mod_gzip_item_include handler ^cgi-script$
	mod_gzip_item_include mime ^text/.*
	mod_gzip_item_include mime ^application/x-javascript.*
	mod_gzip_item_exclude mime ^image/.*
	mod_gzip_item_exclude rspheader ^Content-Encoding:.*gzip.*
</ifModule>
<IfModule mod_expires.c>

	# Enable expirations
	ExpiresActive On

	# Default directive
	ExpiresDefault "access plus 1 days"

	# My favicon
	ExpiresByType image/x-icon "access plus 1 year”

	# Images
	ExpiresByType image/gif "access plus 1 month"
	ExpiresByType image/png "access plus 1 month"
	ExpiresByType image/jpg "access plus 1 month"
	ExpiresByType image/jpeg "access plus 1 month"

	#Other
	ExpiresByType application/pdf "access 1 year"
	ExpiresByType application/x-shockwave-flash "access 1 month"

	# CSS
	ExpiresByType text/css "access 1 month”

	# Javascript
	ExpiresByType application/javascript "access plus 1 year"
</IfModule>

# compress text, html, javascript, css, xml:
AddOutputFilterByType DEFLATE text/plain
AddOutputFilterByType DEFLATE text/html
AddOutputFilterByType DEFLATE text/xml
AddOutputFilterByType DEFLATE text/css
AddOutputFilterByType DEFLATE application/xml
AddOutputFilterByType DEFLATE application/xhtml+xml
AddOutputFilterByType DEFLATE application/rss+xml
AddOutputFilterByType DEFLATE application/javascript
AddOutputFilterByType DEFLATE application/x-javascript

<IfModule mod_rewrite.c>
	RewriteEngine On
	RewriteBase /

	RewriteRule ^(robots\.txt|favicon\.ico) - [L]

	RewriteCond %{REQUEST_URI} !^/admin
	RewriteCond %{REQUEST_URI} !^/files
	RewriteCond %{REQUEST_URI} !^/templates

	RewriteCond %{REQUEST_URI} ^(.*?)$
	RewriteCond %{REQUEST_FILENAME} !-f
	RewriteRule .* index.php?request=%1%{QUERY_STRING} [L]
</IfModule>